/*

  Mitigates the problem with the visible seams on UV maps
  + used by the bake.sh script to automate the process
  
  --
  Jaime Vives Piqueres, Dec. 2010  <jaime@ignorancia.org>
  
*/
#version 3.7;

#declare bake_padding=.005;

#declare t_base_image=
texture{
  pigment{
  #switch (clock)
    #case (1)
      image_map{png "im_vase1_baked.png"}
      #break
    #case (2)
      image_map{png "im_vase2_baked.png"}
      #break
    #case (3)
      image_map{png "im_room_baked.png"}
      #break
  #end
  }
  finish{emission 1 diffuse 0 ambient 0}
}

#declare t_output_image=
texture{t_base_image translate bake_padding*x}
texture{t_base_image translate -bake_padding*x}
texture{t_base_image translate bake_padding*y}
texture{t_base_image translate -bake_padding*y}
texture{t_base_image}

#include "screen.inc"
object{Screen_Plane(texture{t_output_image},1,<0,0,0>,<1,1,0>)}
